Get a webhook endpoint
Retrieve one endpoint. Secret values are never returned. Returns 404 if it does not exist, was deleted, or belongs to another org.
OAuth scopes
- webhooks:read
Path Parameters
- Type: stringFormat: uuididrequired
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/v2/webhook_endpoints/{id}
curl https://api.brellium.dev/v2/webhook_endpoints/123e4567-e89b-12d3-a456-426614174000 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"object": "webhook_endpoint",
"org_id": "string",
"url": "https://hooks.example.com/brellium",
"description": "Production EHR sync",
"status": "enabled",
"disabled_reason": "manual",
"disabled_at": null,
"event_types": [
"audit.completed"
],
"filters": {
"question_set_ids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"audit_results": "all"
},
"payload": {
"format": "standard_v1",
"fields": [
"data.documentId",
"data.result",
"responses",
"responses.query",
"responses.answer",
"responses.context"
],
"result_format": "normalized",
"responses_filter": "all",
"include_informational_questions": false
},
"authentication": {
"type": "none"
},
"signing": {
"secret_hint": "a1B2",
"legacy_signature": false,
"previous_secret_expires_at": null
},
"failing_since": null,
"created_at": "2026-09-24T02:34:54.489Z",
"updated_at": "2026-09-24T02:34:54.489Z"
}